---
helmDefaults:
  kubeContext: {{ requiredEnv "KUBE_CONTEXT" }}
  createNamespace: false

repositories:
  - name: "harbor"
    url: "https://helm.goharbor.io"
  - name: "jetstack"
    url: "https://charts.jetstack.io"

releases:

  - name: "cert-manager"
    namespace: "cert-manager"
    chart: "jetstack/cert-manager"
    version: "1.6.1"
    values:
      - installCRDs: true
      - webhook:
          enabled: false


  - name: "harbor"
    namespace: "ssi-systems-harbor"
    chart: "harbor/harbor"
    version: "1.5.0"
    values:
      - externalURL: https://ssi-systems-harbor.apps.oit-ssi-systems.okd4.atc.dev.cloud.duke.edu
      # We will use the new 'mo-better' trivy instead of clair
      - clair:
          enabled: false
      - notary:
          enabled: false
      - expose:
          ingress:
            annotations:
              kubernetes.io/tls-acme: "true"
              cert-manager.io/cluster-issuer: "locksmith"
              acme.cert-manager.io/http01-edit-in-place: "true"
            hosts:
              core: ssi-systems-harbor.apps.oit-ssi-systems.okd4.atc.dev.cloud.duke.edu
